{% extends 'base.html.twig' %}

{% block body %}

    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <h2><b>Photo Gallery</b></h2>
            </div>
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
                    {% if user %}
                        <li><a href="{{ path('app_picture_profile', {id: user.id}) }}">My profile</a></li>
                        <li><a href="{{ path('fos_user_security_logout') }}">Logout</a></li>
                    {% else %}
                        <li><a href="{{ path('fos_user_security_login') }}">Login</a></li>
                    {% endif %}
                    <li><a href="{{ path('fos_user_registration_register') }}">Register</a></li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </div><!-- /.container-fluid -->
    </nav>
    <div class="container">

        <div class="row">
            {% for picture in pictures %}
                <div class="col-xs-6 col-md-4">

                    <a href="{{ path('app_picture_showpicture', {id: picture.id}) }}">
                        <img width="250px" height="200px" src="{{ vich_uploader_asset(picture, 'imageFile') }}" alt="{{ picture.picture }}"/><br>
                    </a>
                    <br>
                    <p><b class="caption">Caption: {{ picture.caption }}</b></p>



                    <a href="{{ path('app_picture_profile', {id:  picture.user.id}) }}">By {{ picture.user.username }}</a>
                    <hr>
                </div>
            {% else %}
            {% endfor %}
        </div>
    </div>

{% endblock %}
